I have created above program without using if and progn functions it worked and got the same results of coordinates on vertices of polyline. Can you please explain why you used both functions if and progn in your program?
Crystal clear explanation. Thanks. Dear master, is any command available to get the name of lisp command. That is, (defun c:xyz() ) How to get "xyz" as string within this programme?
In the program, sublist is the defined function or variable.... I am not seeing sublist declared as variable anywhere in the program.... Your method of teaching is very good...
I have created block and that block I have use as a insert block. For insert block I prefer CUIX.File and VLSIP. Through CUIX I have set symbol in Autocad ribbon and the same block used through LISP for shortcut command. When I used through CUIX I got correct block layer properties. I mean I have created in "xyz" layer. Using through CUIX I got the same layer in my new drawing. If even my current layer is 0 but they still put "xyz" layer in my new drawing. This is correct for me. When I use LISP shortcut command for the same insert block. If my current layer is "ABCD" then block properties has changed automatically. The layer of blocks has changed into current layer.
(if (not(tblsearch "layer" "Reccs1")) ;; check if the drawing not existing the block name (progn (vl-cmdf "-insert" "Recc3" "0.0,0.0,0.0" "" "" "") ;;inserts your master file from some defined file path (vl-cmdf "._erase" "l" "") ;;erases the block; last inserted ))
(if (setq insertPoint (getpoint " pick point:")) (vl-cmdf "-insert" "Reccs1" pause "1" "1" "0") ;;inserts the block you want from the master file ) (princ) )
Your videos are very much inspiring for AutoCAD programmer, can you please make a video on saving lisp files non editable format.
Merci !! Très utile pour mon apprentissage.
Super, as always. thanks for your work.
Thank you. Please share.
"sublist" word is function or variable which used in lisp?
Sublist means a list inside another list.
very informative
Thank you. Please subscribe and share.
I have created above program without using if and progn functions it worked and got the same results of coordinates on vertices of polyline. Can you please explain why you used both functions if and progn in your program?
Only used If function (if (=(car(sublist) 10) , didn’t use here progn
th-cam.com/video/EGURrO4DqVA/w-d-xo.html
Crystal clear explanation. Thanks.
Dear master, is any command available to get the name of lisp command. That is,
(defun c:xyz()
)
How to get "xyz" as string within this programme?
In the program, sublist is the defined function or variable.... I am not seeing sublist declared as variable anywhere in the program.... Your method of teaching is very good...
Sublist means a list in another list.
Thank you. Please share to your friends and colleagues.
Thank for the clarification....
Thank you.
Gurudev🙏
Thank you. Please share to your colleagues and friends.
I have created block and that block I have use as a insert block. For insert block I prefer CUIX.File and VLSIP.
Through CUIX I have set symbol in Autocad ribbon and the same block used through LISP for shortcut command.
When I used through CUIX I got correct block layer properties. I mean I have created in "xyz" layer. Using through CUIX I got the same layer in my new drawing. If even my current layer is 0 but they still put "xyz" layer in my new drawing. This is correct for me.
When I use LISP shortcut command for the same insert block. If my current layer is "ABCD" then block properties has changed automatically. The layer of blocks has changed into current layer.
VLISP
(defun c:RECCS2 (/ blockName fileName insertPoint )
(setq blockName "Reccs1"
fileName "C:\Desktop\To be check\Recc3.dwg")
(if (not(tblsearch "layer" "Reccs1")) ;; check if the drawing not existing the block name
(progn
(vl-cmdf "-insert" "Recc3" "0.0,0.0,0.0" "" "" "") ;;inserts your master file from some defined file path
(vl-cmdf "._erase" "l" "") ;;erases the block; last inserted
))
(if (setq insertPoint (getpoint "
pick point:"))
(vl-cmdf "-insert" "Reccs1" pause "1" "1" "0") ;;inserts the block you want from the master file
)
(princ)
)
CUIX
^C^C-insert;Recc3;\;;;explode;last;-purge;Blocks;Recc3;N;
May I get LISP to explode block and make block again with the same name
I have done one programme